@vs vs
in vec4 pos;
in vec4 vcolor;
out vec4 color;

layout(binding = 0) uniform UBO {
  mat4 model;
  mat4 view;
  mat4 proj;
} ubo;

void main() {
  color = vcolor;
  mat4 mvp = ubo.model*ubo.view*ubo.proj;
  gl_Position = ubo.model*ubo.view*ubo.proj*vec4(pos.xyz, 1.0);
}
@end

@fs fs
in vec4 color;
out vec4 frag_color;
void main() {
  frag_color = color;
}
@end

@program basic vs fs

// thirdparty\sokol\sokol-shdc-windows.exe --input source\basic.glsl --output source\basic.glsl.h --slang glsl430:hlsl5:metal_macos
